FROM pytorch/pytorch:latest
WORKDIR /app

# 필수 패키지 설치
RUN apt-get update && apt-get install -y python3-pip

# Python 환경 설정
COPY requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

# 애플리케이션 코드 복사
COPY . .

# Streamlit 실행 포트 설정
EXPOSE 8501

# 실행 명령
CMD ["streamlit", "run", "main.py"]
